aboutsummaryrefslogtreecommitdiff
path: root/testapp/bin
diff options
context:
space:
mode:
authorChristopher Baines <mail@cbaines.net>2018-10-10 08:03:13 +0100
committerChristopher Baines <mail@cbaines.net>2018-10-11 18:27:05 +0100
commit8af754e1087d662ab68964aa67685d48b8e7c4fc (patch)
treea4b6e0d3c07ca10a32dfb802d8072aff75944d13 /testapp/bin
parent6516fc56b91f91aae7a082f662bf5cf9afd1149c (diff)
downloadguix-demo-8af754e1087d662ab68964aa67685d48b8e7c4fc.tar
guix-demo-8af754e1087d662ab68964aa67685d48b8e7c4fc.tar.gz
Run rails new testapp --skip-bundle
Diffstat (limited to 'testapp/bin')
-rwxr-xr-xtestapp/bin/bundle3
-rwxr-xr-xtestapp/bin/rails4
-rwxr-xr-xtestapp/bin/rake4
-rwxr-xr-xtestapp/bin/setup36
-rwxr-xr-xtestapp/bin/update31
-rwxr-xr-xtestapp/bin/yarn11
6 files changed, 89 insertions, 0 deletions
diff --git a/testapp/bin/bundle b/testapp/bin/bundle
new file mode 100755
index 0000000..f19acf5
--- /dev/null
+++ b/testapp/bin/bundle
@@ -0,0 +1,3 @@
+#!/usr/bin/env ruby
+ENV['BUNDLE_GEMFILE'] ||= File.expand_path('../Gemfile', __dir__)
+load Gem.bin_path('bundler', 'bundle')
diff --git a/testapp/bin/rails b/testapp/bin/rails
new file mode 100755
index 0000000..0739660
--- /dev/null
+++ b/testapp/bin/rails
@@ -0,0 +1,4 @@
+#!/usr/bin/env ruby
+APP_PATH = File.expand_path('../config/application', __dir__)
+require_relative '../config/boot'
+require 'rails/commands'
diff --git a/testapp/bin/rake b/testapp/bin/rake
new file mode 100755
index 0000000..1724048
--- /dev/null
+++ b/testapp/bin/rake
@@ -0,0 +1,4 @@
+#!/usr/bin/env ruby
+require_relative '../config/boot'
+require 'rake'
+Rake.application.run
diff --git a/testapp/bin/setup b/testapp/bin/setup
new file mode 100755
index 0000000..94fd4d7
--- /dev/null
+++ b/testapp/bin/setup
@@ -0,0 +1,36 @@
+#!/usr/bin/env ruby
+require 'fileutils'
+include FileUtils
+
+# path to your application root.
+APP_ROOT = File.expand_path('..', __dir__)
+
+def system!(*args)
+ system(*args) || abort("\n== Command #{args} failed ==")
+end
+
+chdir APP_ROOT do
+ # This script is a starting point to setup your application.
+ # Add necessary setup steps to this file.
+
+ puts '== Installing dependencies =='
+ system! 'gem install bundler --conservative'
+ system('bundle check') || system!('bundle install')
+
+ # Install JavaScript dependencies if using Yarn
+ # system('bin/yarn')
+
+ # puts "\n== Copying sample files =="
+ # unless File.exist?('config/database.yml')
+ # cp 'config/database.yml.sample', 'config/database.yml'
+ # end
+
+ puts "\n== Preparing database =="
+ system! 'bin/rails db:setup'
+
+ puts "\n== Removing old logs and tempfiles =="
+ system! 'bin/rails log:clear tmp:clear'
+
+ puts "\n== Restarting application server =="
+ system! 'bin/rails restart'
+end
diff --git a/testapp/bin/update b/testapp/bin/update
new file mode 100755
index 0000000..58bfaed
--- /dev/null
+++ b/testapp/bin/update
@@ -0,0 +1,31 @@
+#!/usr/bin/env ruby
+require 'fileutils'
+include FileUtils
+
+# path to your application root.
+APP_ROOT = File.expand_path('..', __dir__)
+
+def system!(*args)
+ system(*args) || abort("\n== Command #{args} failed ==")
+end
+
+chdir APP_ROOT do
+ # This script is a way to update your development environment automatically.
+ # Add necessary update steps to this file.
+
+ puts '== Installing dependencies =='
+ system! 'gem install bundler --conservative'
+ system('bundle check') || system!('bundle install')
+
+ # Install JavaScript dependencies if using Yarn
+ # system('bin/yarn')
+
+ puts "\n== Updating database =="
+ system! 'bin/rails db:migrate'
+
+ puts "\n== Removing old logs and tempfiles =="
+ system! 'bin/rails log:clear tmp:clear'
+
+ puts "\n== Restarting application server =="
+ system! 'bin/rails restart'
+end
diff --git a/testapp/bin/yarn b/testapp/bin/yarn
new file mode 100755
index 0000000..460dd56
--- /dev/null
+++ b/testapp/bin/yarn
@@ -0,0 +1,11 @@
+#!/usr/bin/env ruby
+APP_ROOT = File.expand_path('..', __dir__)
+Dir.chdir(APP_ROOT) do
+ begin
+ exec "yarnpkg", *ARGV
+ rescue Errno::ENOENT
+ $stderr.puts "Yarn executable was not detected in the system."
+ $stderr.puts "Download Yarn at https://yarnpkg.com/en/docs/install"
+ exit 1
+ end
+end